PROGRAM_NAME='Genelec_44x0A_Example'




(*****************************************************************************)
(* History                                                                   *)
(*****************************************************************************)
(*                                                                           *)
(* 17.09.2020/CL: Rev01 created                                              *)
(* 04.03.2022/CL: Rev04 created                                              *)
(*                                                                           *)
(*                                                                           *)
(*****************************************************************************)



(*************************************************************************)
(* Important information:                                                *)
(* ----------------------                                                *)
(* Do not use Smart IP API at same time with Smart IP Manager software.  *)
(*************************************************************************)





(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

// Netlinx Master
dvMaster_1 =     0:01:0 (*                                    NX-MASTER *)


// IP-Devices
dvSpkr___1 =     0:05:0
dvSpkr___2 =     0:06:0
//dvSpkr___3 =     0:07:0
//dvSpkr___4 =     0:08:0
//dvSpkr___5 =     0:09:0
//dvSpkr___6 =     0:10:0
//dvSpkr___7 =     0:11:0
//dvSpkr___8 =     0:12:0



// Touchpanel pages
dvTP1____2 = 10001:02:0      // Audio


// Virtual touchpanel                                  
vdvTP____2 = 33002:01:0	     // Audio  



// Virtual Devices:
vdvSpkr__1 = 34001:01:0      // Virtual Device   Genelec Speaker 1      
vdvSpkr__2 = 34002:01:0      // Virtual Device   Genelec Speaker 2      
//vdvSpkr__3 = 34003:01:0      // Virtual Device   Genelec Speaker 3      
//vdvSpkr__4 = 34004:01:0      // Virtual Device   Genelec Speaker 4      
//vdvSpkr__5 = 34005:01:0      // Virtual Device   Genelec Speaker 5      
//vdvSpkr__6 = 34006:01:0      // Virtual Device   Genelec Speaker 6      
//vdvSpkr__7 = 34007:01:0      // Virtual Device   Genelec Speaker 7      
//vdvSpkr__8 = 34008:01:0      // Virtual Device   Genelec Speaker 8      




(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE


VOLATILE nIpAddress_Spkr_1[] = {'192.168.10.125'}
VOLATILE nIpAddress_Spkr_2[] = {'192.168.10.126'}


DEV vdvSpkr_all[] = { vdvSpkr__1, vdvSpkr__2 }







(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START


COMBINE_DEVICES(vdvTP____2, dvTP1____2)   




(***********************************************************)
(*                MODULE DEFINITIONS GO BELOW              *)
(***********************************************************)

DEFINE_MODULE 'M_Genelec_44x0A_COMM, REV04' SPKR_1 (vdvSpkr__1,                // virtual device
                                                    dvSpkr___1,                // real device
                                                    nIpAddress_Spkr_1)         // IP-Address
DEFINE_MODULE 'M_Genelec_44x0A_COMM, REV04' SPKR_2 (vdvSpkr__2,                // virtual device
                                                    dvSpkr___2,                // real device
                                                    nIpAddress_Spkr_2)         // IP-Address

DEFINE_MODULE 'M_Genelec_44x0A_UI, REV04' SPKR_UI  (vdvSpkr_all,               // virtual device array
						    vdvTP____2)                // touchpanel 




